# -*- rpm-spec -*-
# $Id: avr-libc,v 1.29 2004/04/13 12:41:17 grigory Exp $

%define cross_arch avr

Summary: AVR libc
Name: avr-libc
Version: 1.0.3
Release: alt1
Serial: 1
Copyright: GPL, LGPL, BSD, Public Domain
Group: Development/Other
URL: http://savannah.gnu.org/projects/avr-libc

Source0: http://savannah.gnu.org/download/avr-libc/avr-libc-%version.tar.bz2
Patch0: %name-doc-makefile.patch

# Automatically added by buildreq on Wed Oct 08 2003
BuildRequires: doxygen latex2html libjpeg tetex-core tetex-dvips tetex-latex transfig

BuildRequires: avr-binutils >= 2.14
BuildRequires: avr-gcc >= 3.3
BuildRequires: avr-gcc-c++ >= 3.3

Requires: avr-binutils >= 2.14
Requires: avr-gcc >= 3.3
Requires: avr-gcc-c++ >= 3.3

%define libavrdir %_libdir/%cross_arch
%define includeavrdir %_includedir/%cross_arch

%description
Avr-libc is a C library for developing applications for Atmel AVR microcontrollers.

%package doc
Summary: Documentation for avr-libc
Group: Development/Other
%description doc
Documentation for avr-libc in html, postscript and pdf formats.


%prep
%setup -q -n %name-%version
%patch0 -p1

%build
%__mkdir obj-%_target_platform
cd obj-%_target_platform

../configure \
	--prefix=%_prefix \
	--exec-prefix=%libavrdir \
	--libdir=%_libdir \
	--includedir=%includeavrdir \
	--mandir=%_mandir \
	--infodir=%_infodir \
	--enable-doc

%__make
%__make -C doc/api/

%install
%__mkdir_p %buildroot%_prefix
cd obj-%_target_platform
%__make \
	prefix=%buildroot%_prefix \
	exec_prefix=%buildroot%_libdir \
	mandir=%buildroot%_mandir \
	infodir=%buildroot%_infodir \
	install

%files
%doc AUTHORS ChangeLog INSTALL LICENSE NEWS README
%doc doc/CHANGES.old doc/ChangeLog doc/INSTALL doc/TODO
%doc doc/avr-libc-reference.html
%libavrdir/include/*
%libavrdir/lib/*

%files doc
%doc obj-%_target_platform/doc/api/avr-libc-user-manual*
%doc doc/examples

%changelog
* Tue Apr 13 2004 Grigory Milev <week@altlinux.ru> 1:1.0.3-alt1
- new version released

* Wed Oct  8 2003 Grigory Milev <week@altlinux.ru> 1:1.0-alt1
- first release
- build user-manual

* Fri Sep  5 2003 Grigory Milev <week@altlinux.ru> 20030805-alt1
- new cvs snapshot released

* Thu Jun 19 2003 Grigory Milev <week@altlinux.ru> 20030512-alt1
- new cvs snapshot released

* Tue Apr 22 2003 Grigory Milev <week@altlinux.ru> 20030414-alt1
- new snapshot version

* Mon Feb 10 2003 Grigory Milev <week@altlinux.ru> 20030203-alt2
- new cvs version (snapshot)

* Tue Nov  5 2002 Grigory Milev <week@altlinux.ru> 20021028-alt1.cvs
- new version (snapshot)

* Fri Oct 25 2002 Grigory Milev <week@altlinux.ru> 20020203-alt1
- Initial build for ALT Linux

* Fri May 03 2002 Theodore Roth <troth@verinet.com>
- Added patch to fix timer.h for mega128.

* Mon Apr 29 2002 Theodore Roth <troth@verinet.com>
- Added patch to fix headers.
- Fix strncasecmp_P macro in pgmspace.h.

* Wed Mar 27 2002 Theodore Roth <troth@verinet.com>
- Updated avr-gcc dependency to 3.0.4-2.
- Fixed up %files section to work with rh-7.1.

* Mon Mar 17 2002 Theodore Roth <troth@verinet.com>
- Initial spec file.

